jv.geom

## Class PgPointSet_Menu

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - jv.objectGui.PsMethodMenu
        - - jv.project.PgGeometry_Menu
          - - jv.geom.PgPointSet_Menu

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, PsUpdateIf
  Direct Known Subclasses:
    PgElementSet_Menu, PgPolygon_Menu, PgPolygonSet_Menu, PgTetraSet_Menu

      public class PgPointSet_Menu
      extends PgGeometry_Menu

  Add specific menu items to 'method' menu in control panel to invoke methods from menu.
  See Also:
    `PgGeometry_Menu`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    30.08.08, 2.90 revised (kp) No longer enable showing of vertices, edges and elements when individual color is computed.
    29.07.03, 2.80 revised (kp) Menu items for ambient projection added.
    11.07.02, 2.70 revised (kp) Menu items for removal of colors and normals added.
    22.03.02, 2.30 revised (ur) Internationalization.
    12.12.01, 2.20 revised (kp) Some menus moved to PgGeometry_Menu.
    15.09.01, 2.10 revised (ur) Reorganisation of all Method Menus.
    18.07.99, 2.00 revised (kp) Method calls changed and PsMenu replaced with standard java.awt.Menu.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `m_pointSetMethod`
    `static int` | `MTHD_ADD_TEXTURE`
    `static int` | `MTHD_APPLY_AMBIENT_MATRIX`
    `static int` | `MTHD_APPLY_CAMERA_MATRIX`
    `static int` | `MTHD_APPLY_MODELING_MATRIX`
    `static int` | `MTHD_CONVERT_ELEMENTSET`
    `static int` | `MTHD_CONVERT_POINTSET`
    `static int` | `MTHD_CONVERT_POLYGON`
    `static int` | `MTHD_CONVERT_POLYGONSET`
    `static int` | `MTHD_DECREMENT_DIMENSION`
    `static int` | `MTHD_ENABLE_INDEX_LABELS`
    `static int` | `MTHD_FLIP_ORIENTATION`
    `static int` | `MTHD_IGNORE_DEPTHCUE`
    `static int` | `MTHD_INCREMENT_DIMENSION`
    `static int` | `MTHD_INVERT_VERTEX_MARKS`
    `static int` | `MTHD_MAKE_VERTEX_TEXTURE_CYL`
    `static int` | `MTHD_MAKE_VERTEX_TEXTURE_SPH`
    `static int` | `MTHD_MAKE_VERTEX_TEXTURE_XY`
    `static int` | `MTHD_MAKE_VERTEX_TEXTURE_XZ`
    `static int` | `MTHD_MAKE_VERTEX_TEXTURE_YZ`
    `static int` | `MTHD_MARK_ALL_VERTICES`
    `static int` | `MTHD_MARK_VERTICES`
    `static int` | `MTHD_MOVE_TO_ORIGIN`
    `static int` | `MTHD_PRINT_FVECTOR`
    `static int` | `MTHD_PROJECT_FROM_AMBIENT_SPACE`
    `static int` | `MTHD_PROJECT_TO_SPHERE`
    `static int` | `MTHD_REMOVE_MARKED_VERTICES`
    `static int` | `MTHD_REMOVE_TEXTURE`
    `static int` | `MTHD_REMOVE_VECTOR_FIELDS`
    `static int` | `MTHD_REMOVE_VERTEX_COLORS`
    `static int` | `MTHD_REMOVE_VERTEX_NORMALS`
    `static int` | `MTHD_SHOW_GLOBAL_VERTEX_COLOR`
    `static int` | `MTHD_SHOW_MARKED_VERTICES`
    `static int` | `MTHD_SHOW_VECTOR_ARROWS`
    `static int` | `MTHD_SHOW_VERTEX_LABELS`
    `static int` | `MTHD_SHOW_VERTEX_NORMAL_ARROW`
    `static int` | `MTHD_SHOW_VERTEX_OUTLINE`
    `static int` | `MTHD_SHOW_VERTEX_TEXTURE`
    `static int` | `MTHD_UNMARK_ALL_VERTICES`
    `static int` | `MTHD_UNMARK_VERTICES`
    `static int` | `MTHD_VERTEX_COLOR_FROM_NORMAL`
    `static int` | `MTHD_VERTEX_COLOR_FROM_VECTOR`
    `static int` | `MTHD_VERTEX_COLOR_FROM_XYZ`
    `static int` | `MTHD_VERTEX_COLOR_FROM_Z`
    `static int` | `MTHD_VERTEX_COLOR_FROM_Z_HUE`

    - ### Fields inherited from class jv.project.PgGeometry_Menu

      `m_geometryMethod, MTHD_PRINT_ALL, MTHD_PRINT_BNDBOX, MTHD_PRINT_CENTER, MTHD_SHOW_BNDBOX, MTHD_SHOW_CENTER, MTHD_SHOW_NAME, MTHD_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgPointSet_Menu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyMethod(java.lang.String aMethod)` Find and execute a command selected by menu selection.
    `void` | `init(PsObject anObject)` Register the target geometry, and subclasses should register all menu items and submenus.
    `boolean` | `update(java.lang.Object event)` Update this menu if the parent object has changed.

    - ### Methods inherited from class jv.project.PgGeometry_Menu

      `getViewer, setViewer`

    - ### Methods inherited from class jv.objectGui.PsMethodMenu

      `actionPerformed, addMenu, addMenu, addMenuItem, addMenuItem, addMenuItem, clone, getFather, getLanguage, getMenu, getMenuItem, getName, getPanelVersion, hasMenu, hasMenuItem, itemStateChanged, removeMenu, removeMenuItem, setName, setParent`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### MTHD_PRINT_FVECTOR

          public static final int MTHD_PRINT_FVECTOR

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_VECTOR_FIELDS

          public static final int MTHD_REMOVE_VECTOR_FIELDS

      See Also:
        Constant Field Values

    - #### MTHD_MOVE_TO_ORIGIN

          public static final int MTHD_MOVE_TO_ORIGIN

      See Also:
        Constant Field Values

    - #### MTHD_PROJECT_TO_SPHERE

          public static final int MTHD_PROJECT_TO_SPHERE

      See Also:
        Constant Field Values

    - #### MTHD_FLIP_ORIENTATION

          public static final int MTHD_FLIP_ORIENTATION

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_VECTOR_ARROWS

          public static final int MTHD_SHOW_VECTOR_ARROWS

      See Also:
        Constant Field Values

    - #### MTHD_MARK_VERTICES

          public static final int MTHD_MARK_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_VERTICES

          public static final int MTHD_UNMARK_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_VERTICES

          public static final int MTHD_REMOVE_MARKED_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_MARKED_VERTICES

          public static final int MTHD_SHOW_MARKED_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_VERTEX_LABELS

          public static final int MTHD_SHOW_VERTEX_LABELS

      See Also:
        Constant Field Values

    - #### MTHD_ENABLE_INDEX_LABELS

          public static final int MTHD_ENABLE_INDEX_LABELS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GLOBAL_VERTEX_COLOR

          public static final int MTHD_SHOW_GLOBAL_VERTEX_COLOR

      See Also:
        Constant Field Values

    - #### MTHD_VERTEX_COLOR_FROM_VECTOR

          public static final int MTHD_VERTEX_COLOR_FROM_VECTOR

      See Also:
        Constant Field Values

    - #### MTHD_VERTEX_COLOR_FROM_XYZ

          public static final int MTHD_VERTEX_COLOR_FROM_XYZ

      See Also:
        Constant Field Values

    - #### MTHD_VERTEX_COLOR_FROM_Z

          public static final int MTHD_VERTEX_COLOR_FROM_Z

      See Also:
        Constant Field Values

    - #### MTHD_VERTEX_COLOR_FROM_Z_HUE

          public static final int MTHD_VERTEX_COLOR_FROM_Z_HUE

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_VERTEX_NORMAL_ARROW

          public static final int MTHD_SHOW_VERTEX_NORMAL_ARROW

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_TEXTURE_XY

          public static final int MTHD_MAKE_VERTEX_TEXTURE_XY

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_TEXTURE_XZ

          public static final int MTHD_MAKE_VERTEX_TEXTURE_XZ

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_TEXTURE_YZ

          public static final int MTHD_MAKE_VERTEX_TEXTURE_YZ

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_TEXTURE_CYL

          public static final int MTHD_MAKE_VERTEX_TEXTURE_CYL

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_TEXTURE_SPH

          public static final int MTHD_MAKE_VERTEX_TEXTURE_SPH

      See Also:
        Constant Field Values

    - #### MTHD_ADD_TEXTURE

          public static final int MTHD_ADD_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_TEXTURE

          public static final int MTHD_REMOVE_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_INCREMENT_DIMENSION

          public static final int MTHD_INCREMENT_DIMENSION

      See Also:
        Constant Field Values

    - #### MTHD_DECREMENT_DIMENSION

          public static final int MTHD_DECREMENT_DIMENSION

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_VERTEX_TEXTURE

          public static final int MTHD_SHOW_VERTEX_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_MARK_ALL_VERTICES

          public static final int MTHD_MARK_ALL_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_ALL_VERTICES

          public static final int MTHD_UNMARK_ALL_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_VERTEX_COLORS

          public static final int MTHD_REMOVE_VERTEX_COLORS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_VERTEX_NORMALS

          public static final int MTHD_REMOVE_VERTEX_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_INVERT_VERTEX_MARKS

          public static final int MTHD_INVERT_VERTEX_MARKS

      See Also:
        Constant Field Values

    - #### MTHD_APPLY_CAMERA_MATRIX

          public static final int MTHD_APPLY_CAMERA_MATRIX

      See Also:
        Constant Field Values

    - #### MTHD_APPLY_MODELING_MATRIX

          public static final int MTHD_APPLY_MODELING_MATRIX

      See Also:
        Constant Field Values

    - #### MTHD_APPLY_AMBIENT_MATRIX

          public static final int MTHD_APPLY_AMBIENT_MATRIX

      See Also:
        Constant Field Values

    - #### MTHD_PROJECT_FROM_AMBIENT_SPACE

          public static final int MTHD_PROJECT_FROM_AMBIENT_SPACE

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_VERTEX_OUTLINE

          public static final int MTHD_SHOW_VERTEX_OUTLINE

      See Also:
        Constant Field Values

    - #### MTHD_IGNORE_DEPTHCUE

          public static final int MTHD_IGNORE_DEPTHCUE

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_POINTSET

          public static final int MTHD_CONVERT_POINTSET

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_POLYGON

          public static final int MTHD_CONVERT_POLYGON

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_POLYGONSET

          public static final int MTHD_CONVERT_POLYGONSET

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_ELEMENTSET

          public static final int MTHD_CONVERT_ELEMENTSET

      See Also:
        Constant Field Values

    - #### MTHD_VERTEX_COLOR_FROM_NORMAL

          public static final int MTHD_VERTEX_COLOR_FROM_NORMAL

      See Also:
        Constant Field Values

    - #### m_pointSetMethod

          public java.lang.String[] m_pointSetMethod

  - ### Constructor Detail

    - #### PgPointSet_Menu

          public PgPointSet_Menu()

  - ### Method Detail

    - #### init

          public void init(PsObject anObject)

      Description copied from class: `PsMethodMenu`
      Register the target geometry, and subclasses should register all menu items and submenus.
      Overrides:
        `init` in class `PgGeometry_Menu`
      Parameters:
        `anObject` - argument used by subclasses to specify object on which action shall be executed.

    - #### update

          public boolean update(java.lang.Object event)

      Update this menu if the parent object has changed. Set the state of CheckboxMenuItems depending on the states of the parent geometry.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgGeometry_Menu`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsMethodMenu.setParent(PsUpdateIf)`, `PsMethodMenu.getFather()`

    - #### applyMethod

          public boolean applyMethod(java.lang.String aMethod)

      Find and execute a command selected by menu selection.
      Overrides:
        `applyMethod` in class `PgGeometry_Menu`

"

The software JavaView? is copyright protected. All Rights Reserved.
"